org.apache.olingo.odata2.api.ep

## Class EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder

- java.lang.Object
- - org.apache.olingo.odata2.api.ep.EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder

- Enclosing class:
    EntityProviderWriteProperties

      public static class EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ODataEntityProviderPropertiesBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder` | `additionalLinks(Map<String,Map<String,Object>> links)` Sets additional links from this entity to other entities.
    `EntityProviderWriteProperties` | `build()` Build properties object.
    `EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder` | `callbacks(Map<String,ODataCallback> callbacks)`
    `EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder` | `contentOnly(boolean contentOnly)`
    `EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder` | `expandSelectTree(ExpandSelectTreeNode expandSelectTree)` Set a expand select tree which results from $expand and $select query parameter.
    `EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder` | `fromProperties(EntityProviderWriteProperties properties)`
    `EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder` | `includeMetadataInContentOnly(boolean includeMetadataInContentOnly)`
    `EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder` | `includeSimplePropertyType(boolean includeSimplePropertyType)`
    `EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder` | `inlineCount(Integer inlineCount)`
    `EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder` | `inlineCountType(InlineCount inlineCountType)`
    `EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder` | `isDataBasedPropertySerialization(boolean isDataBasedPropertySerialization)`
    `EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder` | `nextLink(String nextLink)`
    `EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder` | `omitETag(boolean omitETag)`
    `EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder` | `omitInlineForNullData(boolean omitInlineForNullData)`
    `EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder` | `omitJsonWrapper(boolean omitJsonWrapper)`
    `EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder` | `responsePayload(boolean responsePayload)` If set to true an entity set (or collection) is rendered as response payload in OData V2 format.
    `EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder` | `selfLink(URI selfLink)`
    `EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder` | `serviceRoot(URI serviceRoot)`
    `EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder` | `validatingFacets(boolean validatingFacets)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ODataEntityProviderPropertiesBuilder

          public ODataEntityProviderPropertiesBuilder()

  - ### Method Detail

    - #### omitInlineForNullData

          public final EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder omitInlineForNullData(boolean omitInlineForNullData)

    - #### isDataBasedPropertySerialization

          public final EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder isDataBasedPropertySerialization(boolean isDataBasedPropertySerialization)

      Parameters:
        `setting` - if payload has dynamic property

    - #### includeSimplePropertyType

          public final EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder includeSimplePropertyType(boolean includeSimplePropertyType)

      Parameters:
        `includeSimplePropertyType` - true to include simple property type information in the payload

    - #### inlineCountType

          public final EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder inlineCountType(InlineCount inlineCountType)

      Parameters:
        `inlineCountType` - the inlineCountType to set

    - #### inlineCount

          public final EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder inlineCount(Integer inlineCount)

      Parameters:
        `inlineCount` - the inlineCount to set

    - #### serviceRoot

          public final EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder serviceRoot(URI serviceRoot)

      Parameters:
        `serviceRoot` -

    - #### nextLink

          public EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder nextLink(String nextLink)

      Parameters:
        `nextLink` - Next link to render feeds with server side paging. Should usually contain a skiptoken.

    - #### build

          public final EntityProviderWriteProperties build()

      Build properties object.
      Returns:
        assembled properties object

    - #### expandSelectTree

          public EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder expandSelectTree(ExpandSelectTreeNode expandSelectTree)

      Set a expand select tree which results from $expand and $select query parameter. Usually the data structure is constructed by the URI parser.
      Parameters:
        `expandSelectTree` - data structure
      Returns:
        properties builder

    - #### callbacks

          public EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder callbacks(Map<String,ODataCallback> callbacks)

    - #### selfLink

          public EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder selfLink(URI selfLink)

    - #### additionalLinks

          public EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder additionalLinks(Map<String,Map<String,Object>> links)

      Sets additional links from this entity to other entities.
      Parameters:
        `links` - a Map where the navigation-property name is the key and a key predicate is the value - a key predicate is a Map from key-property names to their values
      Returns:
        properties builder

    - #### omitJsonWrapper

          public EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder omitJsonWrapper(boolean omitJsonWrapper)

    - #### contentOnly

          public EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder contentOnly(boolean contentOnly)

    - #### omitETag

          public EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder omitETag(boolean omitETag)

    - #### validatingFacets

          public EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder validatingFacets(boolean validatingFacets)

    - #### responsePayload

          public EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder responsePayload(boolean responsePayload)

      If set to true an entity set (or collection) is rendered as response payload in OData V2 format. Otherwise an entity set (or collection) is rendered as request payload in OData V2 format. See 2.2.6.3.2 Entity Set (as a JSON Array) The grammar rule "entitySetInJson2" defines the version 2.0 JSON representation of a collection of entities for response payloads only.
      Parameters:
        `responsePayload` - true for response payload handling, false for request payload handling
      Returns:
        the builder

    - #### includeMetadataInContentOnly

          public EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder includeMetadataInContentOnly(boolean includeMetadataInContentOnly)

    - #### fromProperties

          public EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder fromProperties(EntityProviderWriteProperties properties)

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.